aboutsummaryrefslogtreecommitdiffstats
path: root/testing/daemontools/svscan.initd
diff options
context:
space:
mode:
Diffstat (limited to 'testing/daemontools/svscan.initd')
-rw-r--r--testing/daemontools/svscan.initd33
1 files changed, 33 insertions, 0 deletions
diff --git a/testing/daemontools/svscan.initd b/testing/daemontools/svscan.initd
new file mode 100644
index 0000000000..bf7af28fa4
--- /dev/null
+++ b/testing/daemontools/svscan.initd
@@ -0,0 +1,33 @@
+#!/sbin/runscript
+# Copyright 1999-2004 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/sys-process/daemontools/files/svscan.init-0.76-r7,v 1.1 2008/12/07 06:59:37 robbat2 Exp $
+
+depend() {
+ use net
+ before ntpd ntp-client spamd apache apache2
+ after firewall
+}
+
+start() {
+ ebegin "Starting service scan"
+ setsid start-stop-daemon --start --exec /usr/bin/svscan \
+ --background --make-pidfile \
+ --pidfile /var/run/svscan.pid -- /service
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping service scan"
+ start-stop-daemon --stop --exec /usr/bin/svscan \
+ --pidfile /var/run/svscan.pid
+ eend $?
+
+ ebegin "Stopping service scan services"
+ svc -dx /service/* 2>/dev/null
+ eend $?
+
+ ebegin "Stopping service scan logging"
+ svc -dx /service/*/log 2>/dev/null
+ eend $?
+}